---
title: Event.srcElement
slug: Web/API/Event/srcElement
tags:
  - API
  - DOM
  - Deprecated
  - Property
  - Reference
  - events
---
<p>{{ApiRef("DOM")}}{{deprecated_header}}</p>

<p>Initially implemented in Internet Explorer, <strong><code>Event.srcElement</code></strong> is a now-standard alias (defined in the DOM Standard but flagged as "historical") for the {{domxref("Event.target")}} property. It's supported in all major browser engines, but only for compatibility reasons. Use {{domxref("Event.target")}} instead.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-event-srcelement', 'Event.srcElement')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Event.srcElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Window.event")}}</li>
</ul>
